Page MenuHomePhabricator

Repositories with Ruby code should be documented and appropriate Jenkins jobs should be running
Closed, ResolvedPublic

Description

  • it is documented at Repositories with Ruby code page?
  • is ruby syntax check running after every commit?
  • is rubocop running after every commit?
  • is browser test jenkins job created? (optional)

Repositories:

gerrit

namerubyrubocop
mediawiki/core1.9.30.32.1
mediawiki/extensions/ArticleFeedbackv51.9.30.26.1
mediawiki/extensions/CentralAuth1.9.30.29.1
mediawiki/extensions/CentralNotice1.9.30.29.1
mediawiki/extensions/CirrusSearch1.9.30.26.1
mediawiki/extensions/ContentTranslation1.9.30.29.1
mediawiki/extensions/Echo1.9.30.29.0
mediawiki/extensions/Flow1.9.30.32.1
mediawiki/extensions/Gather1.9.30.34.1
mediawiki/extensions/GettingStarted1.9.30.29.1
mediawiki/extensions/Math1.9.30.27.0
mediawiki/extensions/MobileFrontend1.9.30.29.1
mediawiki/extensions/MultimediaViewer1.9.30.29.1
mediawiki/extensions/PageTriage1.9.30.26.1
mediawiki/extensions/PdfHandler1.9.30.26.1
mediawiki/extensions/PoolCounter1.9.30.27.1
mediawiki/extensions/QuickSurveys1.9.30.29.1
mediawiki/extensions/Translate1.9.30.26.1
mediawiki/extensions/TwnMainPage1.9.30.26.1
mediawiki/extensions/UniversalLanguageSelector1.9.30.29.1
mediawiki/extensions/UploadWizard1.9.30.29.1
mediawiki/extensions/VisualEditor1.9.30.32.1
mediawiki/extensions/WikiLove1.9.30.26.1
mediawiki/extensions/ZeroBanner1.9.30.26.1
mediawiki/extensions/ZeroPortal1.9.30.26.1
mediawiki/ruby/api1.9.30.29.1
mediawiki/selenium1.9.30.29.1
mediawiki/vagrant1.9.30.33.0
oojs/ui2.00.27.1
operations/puppet1.9.30.33.0
VisualEditor/VisualEditor1.9.30.29.1

github

namerubyrubocop
amire80/commons_upload2.2.00.33
amire80/screenshot.git2.2.0?
wmde/WikidataApiGem1.9.3-
wmde/WikidataBrowserTests1.9.30.32.1

Related Objects

Event Timeline

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin raised the priority of this task from to Normal.
zeljkofilipin claimed this task.
zeljkofilipin changed Security from none to None.
zeljkofilipin added a subscriber: Cmcmahon.
zeljkofilipin lowered the priority of this task from Normal to Low.Nov 20 2014, 2:48 PM
zeljkofilipin renamed this task from CentralNotice extension should be configured as every other repository with Ruby code and browser tests to Repositories with Ruby code should be documented and appropriate Jenkins jobs should be running.Mar 3 2015, 11:42 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin raised the priority of this task from Low to Normal.
zeljkofilipin added a subscriber: hashar.
zeljkofilipin updated the task description. (Show Details)Mar 4 2015, 3:48 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed zeljkofilipin as the assignee of this task.Mar 27 2015, 11:42 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)

Feel free to add a step by step tutorial for ruby repositories, we have a few already: https://www.mediawiki.org/wiki/Continuous_integration/Tutorials .

Change 200863 had a related patch set uploaded (by Zfilipin):
WIP Ruby Ruby syntax check and/or RuboCop for repositories with Ruby code

https://gerrit.wikimedia.org/r/200863

zeljkofilipin removed zeljkofilipin as the assignee of this task.Apr 8 2015, 9:58 AM
This comment was removed by zeljkofilipin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 1:54 PM
zeljkofilipin updated the task description. (Show Details)Sep 9 2015, 5:17 PM
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed a subscriber: Cmcmahon.

Change 200863 abandoned by Zfilipin:
WIP Run Ruby syntax check and/or RuboCop for repositories with Ruby code

https://gerrit.wikimedia.org/r/200863

Change 237373 had a related patch set uploaded (by Zfilipin):
Run Ruby syntax check for mediawiki/vagrant in experimental pipeline

https://gerrit.wikimedia.org/r/237373

Change 237375 had a related patch set uploaded (by Zfilipin):
Run Ruby syntax check for operations/puppet in experimental pipeline

https://gerrit.wikimedia.org/r/237375

Change 237638 had a related patch set uploaded (by Zfilipin):
Ruby Ruby syntax check and RuboCop for PoolCounter

https://gerrit.wikimedia.org/r/237638

Change 237638 merged by jenkins-bot:
Ruby Ruby syntax check and RuboCop for PoolCounter

https://gerrit.wikimedia.org/r/237638

Change 237375 merged by jenkins-bot:
Run Ruby syntax check for operations/puppet in experimental pipeline

https://gerrit.wikimedia.org/r/237375

Change 237373 merged by jenkins-bot:
Run Ruby syntax check for mediawiki/vagrant in experimental pipeline

https://gerrit.wikimedia.org/r/237373

zeljkofilipin closed this task as Resolved.Sep 28 2015, 4:14 PM